Just nu i M3-nätverket
Jump to content

Problem med Flash efter uppgradering till Ubuntu 12.04


Linux som gammal

Recommended Posts

Linux som gammal

Hej!

 

Jag är relativt ny på det här med datorer i allmänhet men har ett problem som inte ens min son klarar att hjälpa mig med.

 

Jag har fått ordentliga problem efter ha uppgraderat till 12.04 Ubuntu.

 

[log]Du bör köra "apt-get -f install" för att korrigera dessa.

Följande paket har beroenden som inte kan tillfredsställas:

firefox : Gör sönder: adobe-flashplugin (<= 11.1.102.63-0precise1) men 10.0.22.87-1 är installerat

E: Otillfredsställda beroenden. Prova med -f.

[/log]

 

 

Kör jag sudo apt-get install -f står det:

[log]

sudo apt-get install -f

Läser paketlistor... Färdig

Bygger beroendeträd

Läser tillståndsinformation... Färdig

Korrigerar beroenden.... Färdig

Följande paket kommer att TAS BORT:

adobe-flashplugin

0 att uppgradera, 0 att nyinstallera, 1 att ta bort och 3 att inte uppgradera.

1 är inte helt installerade eller borttagna.

Efter denna åtgärd kommer 10,2 MB att frigöras på disken.

Vill du fortsätta [J/n]?

[/log]

 

Jag trycker J Enter

[log]

(Läser databasen ... 356369 filer och kataloger installerade.)

Tar bort adobe-flashplugin ...

update-alternatives: fel: inga alternativ för iceape-flashplugin.

update-alternatives: fel: inga alternativ för iceape-flashplugin.

dpkg: fel vid hantering av adobe-flashplugin (--remove):

underprocessen installerade pre-removal-skript gav felkod 2

postinst called with argument `abort-remove'

dpkg: fel vid upprensning:

underprocessen installerade post-installation-skript gav felkod 1

Fel uppstod vid hantering:

adobe-flashplugin

E: Sub-process /usr/bin/dpkg returned an error code (1)[/log]

 

 

Jag blir galen. Det bästa vore väl om man kunde få bort flash öht? Behövs det numera?

 

Men hur kommer jag vidare? Uppdateringshanteringen vill göra en delvis uppgradering - men den kommer ju inte heller vidare.

 

Skulle gärna mottaga tips om hur man skulle kunna komma vidare.

Link to comment
Share on other sites

Stefan Eklinder

Hej!

 

Jag är relativt ny på det här med datorer i allmänhet men har ett problem som inte ens min son klarar att hjälpa mig med.

 

Jag har fått ordentliga problem efter ha uppgraderat till 12.04 Ubuntu.

 

[log]Du bör köra "apt-get -f install" för att korrigera dessa.

Följande paket har beroenden som inte kan tillfredsställas:

firefox : Gör sönder: adobe-flashplugin (<= 11.1.102.63-0precise1) men 10.0.22.87-1 är installerat

E: Otillfredsställda beroenden. Prova med -f.

[/log]

 

 

Kör jag sudo apt-get install -f står det:

[log]

sudo apt-get install -f

Läser paketlistor... Färdig

Bygger beroendeträd

Läser tillståndsinformation... Färdig

Korrigerar beroenden.... Färdig

Följande paket kommer att TAS BORT:

adobe-flashplugin

0 att uppgradera, 0 att nyinstallera, 1 att ta bort och 3 att inte uppgradera.

1 är inte helt installerade eller borttagna.

Efter denna åtgärd kommer 10,2 MB att frigöras på disken.

Vill du fortsätta [J/n]?

[/log]

 

Jag trycker J Enter

[log]

(Läser databasen ... 356369 filer och kataloger installerade.)

Tar bort adobe-flashplugin ...

update-alternatives: fel: inga alternativ för iceape-flashplugin.

update-alternatives: fel: inga alternativ för iceape-flashplugin.

dpkg: fel vid hantering av adobe-flashplugin (--remove):

underprocessen installerade pre-removal-skript gav felkod 2

postinst called with argument `abort-remove'

dpkg: fel vid upprensning:

underprocessen installerade post-installation-skript gav felkod 1

Fel uppstod vid hantering:

adobe-flashplugin

E: Sub-process /usr/bin/dpkg returned an error code (1)[/log]

 

 

Jag blir galen. Det bästa vore väl om man kunde få bort flash öht? Behövs det numera?

 

Men hur kommer jag vidare? Uppdateringshanteringen vill göra en delvis uppgradering - men den kommer ju inte heller vidare.

 

Skulle gärna mottaga tips om hur man skulle kunna komma vidare.

 

Har du provat att söka Adobe Flash i Programbiblioteket:

http://www.fossapps.com/2012/04/04/how-to-install-adobe-flash-player-in-ubuntu-12-04/

 

Det lär säkert bli mycket enklare än att sitta i Terminalen och trixa.

 

För att avinstallera paketen du har installerat nu kan du köra det här i Terminalen:

 

sudo apt-get remove flashplugin-nonfree

 

Om du tvunget vill köra det i Terminalen kan du prova det här för att installera Adobe Flash

 

sudo dpkg -i install_flash_player_10_linux.deb

 

Källa:

http://www.cyberciti.biz/tips/linux-install-flash-player-10.html

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.



×
×
  • Create New...